.\" Copyright (c) 1999 - Sun Microsystems, Inc.
.\" All rights reserved.
.\" 
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, and/or sell copies of the Software, and to permit persons
.\" to whom the Software is furnished to do so, provided that the above
.\" copyright notice(s) and this permission notice appear in all copies of
.\" the Software and that both the above copyright notice(s) and this
.\" permission notice appear in supporting documentation.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
.\" OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
.\" HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL
.\" INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
.\" NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
.\" WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of a copyright holder
.\" shall not be used in advertising or otherwise to promote the sale, use
.\" or other dealings in this Software without prior written authorization
.\" of the copyright holder.
.\"
.TH XkbKeycodeToKeysym __libmansuffix__ __xorgversion__ "XKB FUNCTIONS"
.SH NAME
XkbKeycodeToKeysym \- Finds the keysym bound to a particular key at a specified 
group and shift level
.SH SYNOPSIS
.B KeySym XkbKeycodeToKeysym
(
.I dpy,
.I kc,
.I group,
.I level
)
.br
      Display *\fIdpy\fP\^;
.br
      KeyCode \fIkc\fP\^;
.br
      unsigned int \fIgroup\fP\^;
.br
      unsigned int \fIlevel\fP\^;
.if n .ti +5n
.if t .ti +.5i
.SH ARGUMENTS
.TP
.I \- dpy
connection to X server 
.TP
.I \- kc
key of interest 
.TP
.I \- group
group of interest 
.TP
.I \- level
shift level of interest 
.SH DESCRIPTION
.LP
.I XkbKeycodeToKeysym 
returns the keysym bound to a particular group and shift level for a particular 
key on the core keyboard. If 
.I kc 
is not a legal keycode for the core keyboard, or if 
.I group 
or 
.I level 
are out of range for the specified key, 
.I XkbKeycodeToKeysym 
returns NoSymbol.
